<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Repositories\DeviceRepository;
use Laravel\Lumen\Routing\Controller as BaseController;

class DeviceController extends BaseController {

    protected $device;

    public function __construct(DeviceRepository $device) {
        $this->device = $device;
    }

    public function getTemporalToken(Request $request) {
        $data = $request->all();
        $deviceInfo = $this->device->getDiviceInfo($data['token'], $data['serial_usr']);
        if ($deviceInfo->device_id) {
            define('METHOD', 'AES-256-CBC');
            define('SECRET_KEY', DATE('YmdHis'));
            define('SECRET_IV', DATE('YmdHis'));
            $deviceData['device_id'] = $deviceInfo->device_id;
            $deviceData['key'] = hash('sha256', SECRET_KEY);
            $deviceData['vi'] = substr(hash('sha256', SECRET_IV), 0, 16);
            $token = str_pad($deviceInfo->user_id, 10, "0", STR_PAD_LEFT) . str_pad($deviceInfo->device_id, 10, "0", STR_PAD_LEFT);
            $encrypted_data = openssl_encrypt($token, METHOD, $deviceData['key'], 0, $deviceData['vi']);
            $data['token'] = base64_encode($encrypted_data);
            $data['id'] = $deviceInfo->device_id;
            $deviceInfo = $this->device->saveDeviceKeys($deviceData);
            return response()->json($data);
        }
    }

}
