<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Repositories\IconCatalogueRepository;
use Laravel\Lumen\Routing\Controller as BaseController;

class IconCatalogueController extends BaseController {

    protected $iconCatalogue;

    public function __construct(IconCatalogueRepository $iconCatalogue) {
        $this->iconCatalogue = $iconCatalogue;
    }

    public function postIconsEmployee(Request $request) {
        $this->validate($request, [
            'serial_emp' => 'required'
        ]);
        $icons = $this->iconCatalogue->getIconsEmployee($request->input('serial_emp'));

        return response()->json($icons);
    }

}
