<?php
/**
 * Controlador para métodos sobre configuración escolar.
 * User: Henry Vivanco <hvvivanco@rutatec.com>
 * Date: 5/2/2019
 * Time: 13:22
 */

namespace App\Http\Controllers;


use App\Repositories\SchoolSetupRepository;

class SchoolSetupController extends Controller
{
    protected $schoolSetup;

    public function __construct(SchoolSetupRepository $schoolSetup)
    {
        $this->schoolSetup = $schoolSetup;
    }

    public function getNameSchool()
    {
        $nameSchool = $this->schoolSetup->getNameSchool();

        return response()->json($nameSchool);

    }

}