<?php
/**
 * Created by PhpStorm.
 * User: jaserrano
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LevelGeneralObjectives extends Model {

    public $timestamps = false;
    protected $table = 'level_general_objectives';
    protected $primaryKey = 'serial_lgo';


    function generalAreaObjectives(){
        return $this->belongsTo('App\Models\GeneralAreaObjectives','serial_gao','serial_gao')->where('status_gao','=','ACTIVE');
    }

    function subjectGeneralObjectives(){
        return $this->belongsTo('App\Models\SubjectGeneralObjectives','serial_lgo','serial_lgo')->where('status_sgo','=','ACTIVE');
    }
        

}