<?php
/**
 * Created by PhpStorm.
 * User: jaserrano
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LevelMethodologicalOrientationUnit extends Model {

    public $timestamps = false;
    protected $table = 'level_methodological_orientation';
    protected $primaryKey = 'serial_lmo';


    function methodologicalOrientationUnit(){
        return $this->belongsTo('App\Models\MethodologicalOrientationUnit','serial_mou','serial_mou')->where('status_mou','=','ACTIVE');
    }

    function subjectMethodologicalOrientation(){
        return $this->belongsTo('App\Models\SubjectMethodologicalOrientation','serial_lmo','serial_lmo')->where('status_smo','=','ACTIVE');
    }


}