<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Modelo para LevelSectionYear
 * @since   2017-07-09
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2017-07-09<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del archivo<br/>
 *          #edit1
 */
class LevelSectionYear extends Model {

	protected $table = 'level_section_year';
	protected $fillable = array('serial_pgy','serial_lvl','discipline_lsy',
		'discipline_type_average','supervisor_grade_weight_lsy',
		'teacher_grade_weight_lsy','course_director_grade_weight_lsy',
		'pregrade_course_director_lsy','grade_type_lsy','order_lsy',
		'serial_scy','serial_set','status_lsy','extracurricular_groups_id',
		'use_new_activities_calculus_lsy','extracurricular_available_for_parents');
	public $timestamp = false;

}