<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Modelo para SubjectCourse
 * @since   2017-07-09
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2017-07-09<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del archivo<br/>
 *          #edit1
 */
class SubjectCourse extends Model {

    public $timestamps = false;
    protected $table = 'subject_course';
    protected $primaryKey = 'serial_sbc';


    function subject(){
        return $this->belongsTo('App\Models\Subject','serial_sbj');
    }
}
