<?php

namespace App\Repositories;

/**
 * Repostiorio para Enumeradores
 * @since   2017-07-09
 * @author  Erick Vaca <epvaca@rutatec.com>
 *
 * @edit    2017-07-09<br />
 *          Erick Vaca <epvaca@rutatec.com><br /><br/>
 *          Creación del archivo<br/>
 *          #edit1
 */
class EnumRepository {

    /**
     * Método que devuelve los tipos de materias disponibles
     * @since   2017-07-14
     * @author  Erick Vaca <epvaca@rutatec.com>
     * @return  object $subjectTypes tipos de materia
     *
     */
    public function getSubjectTypes() {
        
        $subjectTypes = array('MANDATORY' =>  'Obligatoria',
            'OPTIONAL' =>  'Optativa');

        return $subjectTypes;
    }


    /**
     * Método que devuelve los dias en ingles a español
     * @since   2018-07-23
     * @author  Erick Vaca <epvaca@rutatec.com>
     * @return  object $days dias
     *
     */
    public function getDaysInSpanish() {
        
        $days = [
            'MONDAY'=>'Lunes',
            'TUESDAY'=>'Martes',
            'WEDNESDAY'=>'Miércoles',
            'THURSDAY'=>'Jueves',
            'FRIDAY'=>'Viernes',
            'SATURDAY'=>'Sábado',
            'SUNDAY'=>'Domingo'
        ];

        return $days;
    }

}
