<?php
/**
 * Created by PhpStorm.
 * User: gmronquillo
 * Date: 3/2/2019
 * Time: 10:44
 */

namespace App\Repositories;


use App\Models\PlanningTransverseAxis;

class PlanningTransverseAxisRepository extends BaseRepository
{
    protected $modelClass = PlanningTransverseAxis::class;

    protected $planningTransverseAxis;

    public function __construct(PlanningTransverseAxis $planningTransverseAxis) {
        $this->planningTransverseAxis = $planningTransverseAxis;
    }


    public function savePlanningTransverseAxis($data){
        $planningTransverseAxisObj= new PlanningTransverseAxis();
        $planningTransverseAxisObj->description_ptx = $data['description_ptx'];
        $planningTransverseAxisObj->is_ministry_ptx = $data['is_ministry_ptx'];
        $planningTransverseAxisObj->save();
        return $planningTransverseAxisObj;
    }

}