<?php
/**
 * Created by PhpStorm.
 * User: gmronquillo
 * Date: 3/2/2019
 * Time: 10:44
 */

namespace App\Repositories;


use App\Models\ResourcesPlanningUnit;

class ResourcesPlanningUnitRepository extends BaseRepository
{
    protected $modelClass = ResourcesPlanningUnit::class;

    protected $resourcesPlanningUnit;

    public function __construct(ResourcesPlanningUnit $resourcesPlanningUnit) {
        $this->resourcesPlanningUnit = $resourcesPlanningUnit;
    }


    public function saveResourcesPlanningUnit($data){
        $resourcesPlanningUnitObj= new ResourcesPlanningUnit();
        $resourcesPlanningUnitObj->description_rpu = $data['description_rpu'];
        $resourcesPlanningUnitObj->is_ministry_rpu = $data['is_ministry_rpu'];
        $resourcesPlanningUnitObj->save();
        return $resourcesPlanningUnitObj;
    }

}