<?php

namespace App\Repositories;

use App\Models\SchoolSetup;
use App\Repositories\BaseRepository;

class SchoolSetupRepository extends BaseRepository {

    protected $modelClass = SchoolSetup::class;
    protected $schoolSetup;

    //Declaración del constructor
    public function __construct(SchoolSetup $schoolSetup) {
        $this->schoolSetup = $schoolSetup;
    }

    public function getNameSchool()
    {
        $nameSchool = SchoolSetup::all()
        ->first()
        ->pluck('name_sst','serial_ste');
        return $nameSchool;
    }

    public function getLinkMagazine()
    {
        $linkSchool = SchoolSetup::all()
            ->first()
            ->pluck('web_magazine_sst','serial_ste');
        return $linkSchool;
    }
}
