<?php

namespace App\Repositories;

use App\Models\SubjectMethodologicalOrientation;


class SubjectMethodologicalOrientationRepository extends BaseRepository {

    protected $modelClass = SubjectMethodologicalOrientation::class;

    protected $subjectMethodologicalOrientation;


    public function __construct(SubjectMethodologicalOrientation $subjectMethodologicalOrientation) {
        $this->subjectMethodologicalOrientation = $subjectMethodologicalOrientation;
    }


    public function setMethodologicalOrientationToSubjectUnit($data) {
        //check if exist
        $result= $this->subjectMethodologicalOrientation->where('serial_spu','=',$data['serial_spu'])
            ->where('serial_lmo','=',$data['serial_lmo'])
            ->first();
        if(!$result){
            $subjectMethodologicalOrientation = new SubjectMethodologicalOrientation();
            $subjectMethodologicalOrientation->serial_spu=$data['serial_spu'];
            $subjectMethodologicalOrientation->serial_lmo=$data['serial_lmo'];
            $subjectMethodologicalOrientation->save();
            return $subjectMethodologicalOrientation;

        }else{
            $result->status_smo=$data['status_smo'];
            $result->save();
            return $result;
        }
        return false;
    }

}
