<?php

namespace App\Repositories;

use App\Models\SubjectStrategiesUnit;


class SubjectStrategiesUnitRepository extends BaseRepository {

    protected $modelClass = SubjectStrategiesUnit::class;

    protected $subjectStrategiesUnit;


    public function __construct(SubjectStrategiesUnit $subjectStrategiesUnit) {
        $this->subjectStrategiesUnit = $subjectStrategiesUnit;
    }


    public function setStrategiesToSubjectUnit($data) {
        //check if exist
        $result= $this->subjectStrategiesUnit->where('serial_spu','=',$data['serial_spu'])
            ->where('serial_lsu','=',$data['serial_lsu'])
            ->first();
        if(!$result){
            $subjectStrategiesUnit = new SubjectStrategiesUnit();
            $subjectStrategiesUnit->serial_spu=$data['serial_spu'];
            $subjectStrategiesUnit->serial_lsu=$data['serial_lsu'];
            $subjectStrategiesUnit->save();
            return $subjectStrategiesUnit;

        }else{
            $result->status_ssu=$data['status_ssu'];
            $result->save();
            return $result;
        }
        return false;
    }

}
