<?php


namespace App\Repositories;


use App\Models\UnitPlanningForm;

class UnitPlanningFormRepository extends BaseRepository
{
    protected $modelClass = UnitPlanningForm::class;

    protected $unit_planning_form;

    public function __construct(UnitPlanningForm $unit_planning_form) {
        $this->unit_planning_form = $unit_planning_form;
    }


    public function saveUnitPlanningForm($data){
        if(isset($data['serial_upf'])){
            $unitPlanningFormObj= UnitPlanningForm::find($data['serial_upf']);
            if(!$unitPlanningFormObj){
                return false;
            }
        }else{
            $unitPlanningFormObj= new UnitPlanningForm();
        }
        if(isset($data['serial_put'])){
            $unitPlanningFormObj->serial_put = $data['serial_put'];
            if(isset($data['serial_spu']) && $data['serial_spu']){
                $unitPlanningFormObj->serial_spu = $data['serial_spu'];
            }
            elseif(isset($data['serial_sbc']) && $data['serial_sbc']){
                $unitPlanningFormObj->serial_sbc = $data['serial_sbc'];
            }
            elseif(isset($data['serial_osb']) && $data['serial_osb']){
                $unitPlanningFormObj->serial_osb = $data['serial_osb'];
            }else{
                return false;
            }
        }else{
            return false;
        }
        if(isset($data['teacher_name_upf'])){
            $unitPlanningFormObj->teacher_name_upf = $data['teacher_name_upf'];
        }
        if(isset($data['subject_group_upf'])){
            $unitPlanningFormObj->subject_group_upf = $data['subject_group_upf'];
        }
        if(isset($data['unit_title_upf'])){
            $unitPlanningFormObj->unit_title_upf = $data['unit_title_upf'];
        }

        if(isset($data['myp_year_upf'])){
            $unitPlanningFormObj->myp_year_upf = $data['myp_year_upf'];
        }

        if(isset($data['unit_duration_upf'])){
            $unitPlanningFormObj->unit_duration_upf = $data['unit_duration_upf'];
        }
        if(isset($data['course_topic_upf'])){
            $unitPlanningFormObj->course_topic_upf = $data['course_topic_upf'];
        }
        if(isset($data['level_upf'])){
            $unitPlanningFormObj->level_upf = $data['level_upf'];
        }
        if(isset($data['dates_upf'])){
            $unitPlanningFormObj->dates_upf = $data['dates_upf'];
        }
        if(isset($data['key_concept_upf'])){
            $unitPlanningFormObj->key_concept_upf = $data['key_concept_upf'];
        }
        if(isset($data['related_concept_upf'])){
            $unitPlanningFormObj->related_concept_upf = $data['related_concept_upf'];
        }
        if(isset($data['global_context_upf'])){
            $unitPlanningFormObj->global_context_upf = $data['global_context_upf'];
        }
        if(isset($data['unit_description_upf'])){
            $unitPlanningFormObj->unit_description_upf = $data['unit_description_upf'];
        }
        if(isset($data['dp_assessment_upf'])){
            $unitPlanningFormObj->dp_assessment_upf = $data['dp_assessment_upf'];
        }
        if(isset($data['statement_inquiry_upf'])){
            $unitPlanningFormObj->statement_inquiry_upf = $data['statement_inquiry_upf'];
        }
        if(isset($data['transfer_goals_upf'])){
            $unitPlanningFormObj->transfer_goals_upf = $data['transfer_goals_upf'];
        }
        if(isset($data['inq_questions_factual_upf'])){
            $unitPlanningFormObj->inq_questions_factual_upf = $data['inq_questions_factual_upf'];
        }
        if(isset($data['inq_questions_conceptual_upf'])){
            $unitPlanningFormObj->inq_questions_conceptual_upf = $data['inq_questions_conceptual_upf'];
        }

        if(isset($data['inq_questions_debatable_upf'])){
            $unitPlanningFormObj->inq_questions_debatable_upf = $data['inq_questions_debatable_upf'];
        }
        if(isset($data['objectives_upf'])){
            $unitPlanningFormObj->objectives_upf = $data['objectives_upf'];
        }
        if(isset($data['outline_summative_assessment_upf'])){
            $unitPlanningFormObj->outline_summative_assessment_upf = $data['outline_summative_assessment_upf'];
        }

        if(isset($data['relationship_summative_assessment_upf'])){
            $unitPlanningFormObj->relationship_summative_assessment_upf = $data['outline_summative_assessment_upf'];
        }
        if(isset($data['student_know_content_upf'])){
            $unitPlanningFormObj->student_know_content_upf = $data['student_know_content_upf'];
        }

        if(isset($data['student_develop_skills_upf'])){
            $unitPlanningFormObj->student_develop_skills_upf = $data['student_develop_skills_upf'];
        }

        if(isset($data['student_grasp_concepts'])){
            $unitPlanningFormObj->student_grasp_concepts = $data['student_grasp_concepts'];
        }

        if(isset($data['learning_experiences_option_upf'])){
            $unitPlanningFormObj->learning_experiences_option_upf = $data['learning_experiences_option_upf'];
        }

        if(isset($data['other_learning_process'])){
            $unitPlanningFormObj->other_learning_process = $data['other_learning_process'];
        }

        if(isset($data['formative_assessment_upf'])){
            $unitPlanningFormObj->formative_assessment_upf = $data['formative_assessment_upf'];
        }
        if(isset($data['summative_assessment_upf'])){
            $unitPlanningFormObj->summative_assessment_upf = $data['summative_assessment_upf'];
        }
        if(isset($data['content_upf'])){
            $unitPlanningFormObj->content_upf = $data['content_upf'];
        }
        if(isset($data['learning_experiences_upf'])){
            $unitPlanningFormObj->learning_experiences_upf = $data['learning_experiences_upf'];
        }
        if(isset($data['resources_upf'])){
            $unitPlanningFormObj->resources_upf = $data['resources_upf'];
        }
        if(isset($data['differentiation_options_upf'])){
            $unitPlanningFormObj->differentiation_options_upf = $data['differentiation_options_upf'];
        }

        if(isset($data['differentiation_upf'])){
            $unitPlanningFormObj->differentiation_upf = $data['differentiation_upf'];
        }

        if(isset($data['approach_learning_options_upf'])){
            $unitPlanningFormObj->approach_learning_options_upf = $data['approach_learning_options_upf'];
        }

        if(isset($data['approaches_to_learning_upf'])){
            $unitPlanningFormObj->approaches_to_learning_upf = $data['approaches_to_learning_upf'];
        }
        if(isset($data['prior_teaching_upf'])){
            $unitPlanningFormObj->prior_teaching_upf = $data['prior_teaching_upf'];
        }

        if(isset($data['during_teaching_upf'])){
            $unitPlanningFormObj->during_teaching_upf = $data['during_teaching_upf'];
        }
        if(isset($data['after_teaching_upf'])){
            $unitPlanningFormObj->after_teaching_upf = $data['after_teaching_upf'];
        }
        if(isset($data['language_learning_option_upf'])){
            $unitPlanningFormObj->language_learning_option_upf = $data['language_learning_option_upf'];
        }
        if(isset($data['language_learning_upf'])){
            $unitPlanningFormObj->language_learning_upf = $data['language_learning_upf'];
        }
        if(isset($data['tok_connection_option_upf'])){
            $unitPlanningFormObj->tok_connection_option_upf = $data['tok_connection_option_upf'];
        }
        if(isset($data['tok_connection_upf'])){
            $unitPlanningFormObj->tok_connection_upf = $data['tok_connection_upf'];
        }
        if(isset($data['cas_connection_option_upf'])){
            $unitPlanningFormObj->cas_connection_option_upf = $data['cas_connection_option_upf'];
        }
        if(isset($data['cas_connection_upf'])){
            $unitPlanningFormObj->cas_connection_upf = $data['cas_connection_upf'];
        }
        if(isset($data['worked_well_upf'])){
            $unitPlanningFormObj->worked_well_upf = $data['worked_well_upf'];
        }
        if(isset($data['dont_worked_well_upf'])){
            $unitPlanningFormObj->dont_worked_well_upf = $data['dont_worked_well_upf'];
        }
        if(isset($data['suggestions_upf'])){
            $unitPlanningFormObj->suggestions_upf = $data['suggestions_upf'];
        }
        if(isset($data['transdisciplinary_theme_upf'])){
            $unitPlanningFormObj->transdisciplinary_theme_upf = $data['transdisciplinary_theme_upf'];
        }
        if(isset($data['central_idea_upf'])){
            $unitPlanningFormObj->central_idea_upf = $data['central_idea_upf'];
        }
        if(isset($data['lines_inquiry_upf'])){
            $unitPlanningFormObj->lines_inquiry_upf = $data['lines_inquiry_upf'];
        }
        if(isset($data['action_upf'])){
            $unitPlanningFormObj->action_upf = $data['action_upf'];
        }
        if(isset($data['initial_reflections_upf'])){
            $unitPlanningFormObj->initial_reflections_upf = $data['initial_reflections_upf'];
        }
        if(isset($data['prior_learning_upf'])){
            $unitPlanningFormObj->prior_learning_upf = $data['prior_learning_upf'];
        }
        if(isset($data['connection_upf'])){
            $unitPlanningFormObj->connection_upf = $data['connection_upf'];
        }
        if(isset($data['learning_goals_upf'])){
            $unitPlanningFormObj->learning_goals_upf = $data['learning_goals_upf'];
        }
        if(isset($data['teacher_questions_upf'])){
            $unitPlanningFormObj->teacher_questions_upf = $data['teacher_questions_upf'];
        }
        if(isset($data['student_questions_upf'])){
            $unitPlanningFormObj->student_questions_upf = $data['student_questions_upf'];
        }
        if(isset($data['central_idea_designing_upf'])){
            $unitPlanningFormObj->central_idea_designing_upf = $data['central_idea_designing_upf'];
        }
        if(isset($data['teaching_team_designing_upf'])){
            $unitPlanningFormObj->teaching_team_designing_upf = $data['teaching_team_designing_upf'];
        }
        if(isset($data['level_designing_upf'])){
            $unitPlanningFormObj->level_designing_upf = $data['level_designing_upf'];
        }
        if(isset($data['date_designing_upf'])){
            $unitPlanningFormObj->date_designing_upf = $data['date_designing_upf'];
        }
        if(isset($data['designing_experiences_upf'])){
            $unitPlanningFormObj->designing_experiences_upf = $data['designing_experiences_upf'];
        }
        if(isset($data['supporting_student_agency_upf'])){
            $unitPlanningFormObj->supporting_student_agency_upf = $data['supporting_student_agency_upf'];
        }
        if(isset($data['teacher_student_questions_upf'])){
            $unitPlanningFormObj->teacher_student_questions_upf = $data['teacher_student_questions_upf'];
        }
        if(isset($data['ongoing_assessment_upf'])){
            $unitPlanningFormObj->ongoing_assessment_upf = $data['ongoing_assessment_upf'];
        }
        if(isset($data['making_flexible_upf'])){
            $unitPlanningFormObj->making_flexible_upf = $data['making_flexible_upf'];
        }
        if(isset($data['assessment_feedback_upf'])){
            $unitPlanningFormObj->assessment_feedback_upf = $data['assessment_feedback_upf'];
        }
        if(isset($data['ongoing_reflection_upf'])){
            $unitPlanningFormObj->ongoing_reflection_upf = $data['ongoing_reflection_upf'];
        }
        if(isset($data['additional_subject_upf'])){
            $unitPlanningFormObj->additional_subject_upf = $data['additional_subject_upf'];
        }
        if(isset($data['central_idea_reflecting_upf'])){
            $unitPlanningFormObj->central_idea_reflecting_upf = $data['central_idea_reflecting_upf'];
        }
        if(isset($data['teaching_team_reflecting_upf'])){
            $unitPlanningFormObj->teaching_team_reflecting_upf = $data['teaching_team_reflecting_upf'];
        }
        if(isset($data['level_reflecting_upf'])){
            $unitPlanningFormObj->level_reflecting_upf = $data['level_reflecting_upf'];
        }
        if(isset($data['date_reflecting_upf'])){
            $unitPlanningFormObj->date_reflecting_upf = $data['date_reflecting_upf'];
        }
        if(isset($data['teacher_reflection_upf'])){
            $unitPlanningFormObj->teacher_reflection_upf = $data['teacher_reflection_upf'];
        }
        if(isset($data['student_reflection_upf'])){
            $unitPlanningFormObj->student_reflection_upf = $data['student_reflection_upf'];
        }
        if(isset($data['assessment_reflections_upf'])){
            $unitPlanningFormObj->assessment_reflections_upf = $data['assessment_reflections_upf'];
        }
        if(isset($data['notes_upf'])){
            $unitPlanningFormObj->notes_upf = $data['notes_upf'];
        }
        $unitPlanningFormObj->save();
        return $unitPlanningFormObj;
    }

    public function getUnitPlanningFormDataBySubject($serial_put,$serial_spu=false,$serial_sbc=false,$serial_osb=false){
        if($serial_spu){
            $unitPlanningData= UnitPlanningForm::where('serial_put',$serial_put);
            if (strtoupper($serial_spu) != 'NULL') {
                $unitPlanningData->where('serial_spu',$serial_spu);
            }elseif(strtoupper($serial_sbc) != 'NULL'){
                $unitPlanningData->where('serial_sbc',$serial_sbc);
            }elseif(strtoupper($serial_osb) != 'NULL'){
                $unitPlanningData->where('serial_osb',$serial_osb);
            }
            return $unitPlanningData->where('status_upf','ACTIVE')->get();
        }else{
            return false;
        }
    }

}