<?php
/**
 * Repositorio para consultas sobre la zona/sector.
 * User: Henry Vivanco <hvvivanco@rutatec.com>
 * Date: 21/1/2019
 * Time: 15:43
 */

namespace App\Repositories;


use App\Models\ZoneAddress;

class ZoneAdressRepositoy extends BaseRepository
{
    protected $zone;

    public function __construct(ZoneAddress $zone)
    {
        $this->zone = $zone;
    }
    public function getZoneAddress($serialParish){
        $parish = ZoneAddress::where('status_zne','=','ACTIVE')
            ->where('serial_parish','=',$serialParish)
            ->get(['serial_zne','name_zne']);
        return $parish;
    }

}