<?php
/**
 * Created by PhpStorm.
 * User: jaserrano
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LevelResourcesUnit extends Model {

    public $timestamps = false;
    protected $table = 'level_resources_unit';
    protected $primaryKey = 'serial_lru';


    function resourcesPlanningUnit(){
        return $this->belongsTo('App\Models\ResourcesPlanningUnit','serial_rpu','serial_rpu')->where('status_rpu','=','ACTIVE');
    }

    function subjectResourcesUnit(){
        return $this->belongsTo('App\Models\SubjectResourcesUnit','serial_lru','serial_lru')->where('status_sru','=','ACTIVE');
    }


}