<?php
/**
 * Created by PhpStorm.
 * User: jaserrano
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LevelTransverseAxis extends Model {

    public $timestamps = false;
    protected $table = 'level_transverse_axis';
    protected $primaryKey = 'serial_ltx';


    function transverseAxis(){
        return $this->belongsTo('App\Models\PlanningTransverseAxis','serial_ptx','serial_ptx')->where('status_ptx','=','ACTIVE');
    }

    function subjectTransverseAxis(){
        return $this->belongsTo('App\Models\SubjectTransverseAxis','serial_ltx','serial_ltx')->where('status_trx','=','ACTIVE');
    }
        

}