<?php
/**
 * Created by PhpStorm.
 * User: jaserrano
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LevelTransverseUnit extends Model {

    public $timestamps = false;
    protected $table = 'level_transverse_unit';
    protected $primaryKey = 'serial_ltu';


    function transverseAxisUnit(){
        return $this->belongsTo('App\Models\TransverseAxisUnit','serial_txu','serial_txu')->where('status_txu','=','ACTIVE');
    }

    function subjectTransverseUnit(){
        return $this->belongsTo('App\Models\SubjectTransverseUnit','serial_ltu','serial_ltu')->where('status_stu','=','ACTIVE');
    }


}