<?php
/**
 * Created by PhpStorm.
 * User: jaserrano
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LevelUnitSkill extends Model {

    public $timestamps = false;
    protected $table = 'level_unit_skills';
    protected $primaryKey = 'serial_lus';


    function planningUnitSkills(){
        return $this->belongsTo('App\Models\PlanningUnitSkills','serial_pus','serial_pus')->where('status_pus','=','ACTIVE');
    }

    function subjectUnitSkills(){
        return $this->belongsTo('App\Models\SubjectUnitSkills','serial_lus','serial_lus')->where('status_sus','=','ACTIVE');
    }


}