<?php
/**
 * Created by PhpStorm.
 * User: gmronquillo
 * Date: 31/7/2019
 * Time: 11:59
 */

namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class UnitPlanningWeek extends Model
{
    public $timestamps = false;
    protected $table = 'unit_planning_week';
    protected $primaryKey = 'serial_upw';
    protected $fillable = array('serial_spu', 'serial_sbc', 'serial_osb', 'name_upw', 'period_upw', 'area_upw', 'level_upw', 'grade_upw'
    , 'subject_upw', 'teacher_upw', 'partial_upw', 'number_week_upw', 'start_date_upw', 'end_date_upw', 'observation_upw');

    public function subjectPlanningUnit() {
        return $this->belongsTo('App\Models\SubjectPlanningUnit', 'serial_spu')
            ->where('status_spu', '=', 'ACTIVE');
    }

    function sessionUnitPlanningWeek(){
        return $this->belongsToMany('App\Models\SessionPlanningWeek','session_unit_planning_week','serial_upw','serial_spw')
            ->where('status_suw','=','ACTIVE');
    }

}