<?php

namespace App\Repositories;

use App\Models\Device;

class DeviceRepository extends BaseRepository {

    protected $device;

    //Declaración del constructor
    public function __construct(Device $device) {
        $this->device = $device;
    }
    
    public function getDevice($device_id){
         return $this->device->find($device_id);
    }
    public function getDiviceInfo($token, $user_id) {
        $result = $this->device->where('token', $token)
                ->where('user_id', $user_id)
                ->first();
        if ($result) {
            return $result;
        } else {
            return new Device;
        }
    }

    public function saveDeviceKeys($data) {
        $divice = Device::find($data['device_id']);
        $divice->key = $data['key'];
        $divice->vi = $data['vi'];
        $divice->save();
        return $divice;
    }

}
