<?php
/**
 * Created by PhpStorm.
 * User: Henry
 * Date: 21/1/2019
 * Time: 15:40
 */

namespace App\Repositories;


use App\Models\Parish;

class ParishRepository extends BaseRepository
{
    protected $parish;

    public function __construct(Parish $parish)
    {
        $this->parish = $parish;
    }
    /**
     * Método para obtener cantones(condados) según el estado
     * @author Henry Vivanco <hvvivanco@rutatec.com>
     * @since  2019-01-21
     * @return array $countries
     */
    public function getParish($serialCounties){
        $parish = Parish::where('status_par','=','ACTIVE')
            ->where('serial_cnt','=',$serialCounties)
            ->get(['serial_par','name_par']);
        return $parish;
    }

}