<?php
/**
 * Created by PhpStorm.
 * User: gmronquillo
 * Date: 3/2/2019
 * Time: 10:44
 */

namespace App\Repositories;


use App\Models\SpecificObjectiveUnit;

class SpecificObjectiveUnitRepository extends BaseRepository
{
    protected $modelClass = SpecificObjectiveUnit::class;

    protected $specificObjectiveUnit;

    public function __construct(SpecificObjectiveUnit $specificObjectiveUnit) {
        $this->specificObjectiveUnit = $specificObjectiveUnit;
    }


    public function saveSpecificObjectiveUnit($data){
        $specificObjectiveUnitObj= new SpecificObjectiveUnit();
        $specificObjectiveUnitObj->description_sou = $data['description_sou'];
        $specificObjectiveUnitObj->is_ministry_sou = $data['is_ministry_sou'];
        $specificObjectiveUnitObj->save();
        return $specificObjectiveUnitObj;
    }

}