<?php

namespace App\Repositories;

use App\Models\SubjectGeneralObjectives;


class SubjectGeneralObjectivesRepository extends BaseRepository {

    protected $modelClass = SubjectGeneralObjectives::class;

    protected $subjectGeneralObjectives;


    public function __construct(SubjectGeneralObjectives $subjectGeneralObjectives) {
        $this->subjectGeneralObjectives = $subjectGeneralObjectives;
    }


    public function setGeneralObjectiveToSubjectYearPlanning($data) {
        //check if exist
        $result= $this->subjectGeneralObjectives->where('serial_syp','=',$data['serial_syp'])
            ->where('serial_lgo','=',$data['serial_lgo'])
            ->first();
        if(!$result){
            $subjectGeneralObjective = new SubjectGeneralObjectives();
            $subjectGeneralObjective->serial_syp=$data['serial_syp'];
            $subjectGeneralObjective->serial_lgo=$data['serial_lgo'];
            $subjectGeneralObjective->save();
            return $subjectGeneralObjective;

        }else{
            $result->status_sgo=$data['status_sgo'];
            $result->save();
            return $result;
        }
        return false;

    }

}
