<?php

namespace App\Repositories;

use App\Models\SubjectTransverseUnit;


class SubjectTransverseUnitRepository extends BaseRepository {

    protected $modelClass = SubjectTransverseUnit::class;

    protected $subjectTransverseUnit;


    public function __construct(SubjectTransverseUnit $subjectTransverseUnit) {
        $this->subjectTransverseUnit = $subjectTransverseUnit;
    }


    public function setTransverseUnitToSubjectUnit($data) {
        //check if exist
        $result= $this->subjectTransverseUnit->where('serial_spu','=',$data['serial_spu'])
            ->where('serial_ltu','=',$data['serial_ltu'])
            ->first();
        if(!$result){
            $subjectTransverseUnit = new SubjectTransverseUnit();
            $subjectTransverseUnit->serial_spu=$data['serial_spu'];
            $subjectTransverseUnit->serial_ltu=$data['serial_ltu'];
            $subjectTransverseUnit->save();
            return $subjectTransverseUnit;

        }else{
            $result->status_stu=$data['status_stu'];
            $result->save();
            return $result;
        }
        return false;
    }

}
