<?php

namespace App\Repositories;

use App\Models\SubjectUnitSkills;


class SubjectUnitSkillRepository extends BaseRepository {

    protected $modelClass = SubjectUnitSkills::class;

    protected $subjectUnitSkill;


    public function __construct(SubjectUnitSkills $subjectUnitSkill) {
        $this->subjectUnitSkill = $subjectUnitSkill;
    }


    public function setUnitSkillToSubjectUnit($data) {
        //check if exist
        $result= $this->subjectUnitSkill->where('serial_spu','=',$data['serial_spu'])
            ->where('serial_lus','=',$data['serial_lus'])
            ->first();
        if(!$result){
            $subjectUnitSkill = new SubjectUnitSkills();
            $subjectUnitSkill->serial_spu=$data['serial_spu'];
            $subjectUnitSkill->serial_lus=$data['serial_lus'];
            $subjectUnitSkill->save();
            return $subjectUnitSkill;

        }else{
            $result->status_sus=$data['status_sus'];
            $result->save();
            return $result;
        }
        return false;
    }

}
